| Home | Libraries | People | FAQ | More

## BoostBook element `inherit`

inherit — Declares a base class of the enclosing class or struct

## Synopsis

inherit ::= (type, purpose?)

## Description

This element contains the type of the class inherited.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2008-06-15 15:48:40 -0400 (Sun, 15 Jun 2008) $ to keep "last revised" information in sync with CVS changes
access | #REQUIRED | CDATA | The access specifier ("public", "private", or "protected") of the inheritance.
id | #IMPLIED | CDATA | A global identifier for this element
pack | #IMPLIED | CDATA | Set to '1' if this is a pack exapansion.
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes